package com.example.mathseduc

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.mathseduc.ui.CreateLobbyPage
import com.example.mathseduc.ui.HomePage
import com.example.mathseduc.ui.MultiPage

@Composable
fun AppNavigation() {
    val navController = rememberNavController()

    NavHost(navController = navController, startDestination = "home") {
        composable("home") { HomePage(navController) }
        composable("connexion") { ConnexionPlayerContent(navController) }
        composable("multiplayer") { MultiPage(navController) }
        composable("createLobby") { CreateLobbyPage(navController) }
        //composable("serverDetails/{serverName}/{lobbyId}") { ServerDetailPage(navController) }
    }
}